import { VidSourceBase } from './VidSourceBase';
export class VidSts extends VidSourceBase {
    constructor() {
        super();
        this.mVid = "";
        this.mAccessKeyId = "";
        this.mAccessKeySecret = "";
        this.mSecurityToken = "";
        this.mRegion = "";
        this.nativeGetVid = () => {
            return this.mVid;
        };
        this.nativeSetVid = (l46) => {
            this.mVid = l46;
        };
        this.nativeGetAccessKeyId = () => {
            return this.mAccessKeyId;
        };
        this.nativeSetAccessKeyId = (k46) => {
            this.mAccessKeyId = k46;
        };
        this.nativeGetAccessKeySecret = () => {
            return this.mAccessKeySecret;
        };
        this.nativeSetAccessKeySecret = (j46) => {
            this.mAccessKeySecret = j46;
        };
        this.nativeGetSecurityToken = () => {
            return this.mSecurityToken;
        };
        this.nativeSetSecurityToken = (i46) => {
            this.mSecurityToken = i46;
        };
        this.nativeGetRegion = () => {
            return this.mRegion;
        };
        this.nativeSetRegion = (h46) => {
            this.mRegion = h46;
        };
    }
    setQuality(v45, w45) {
        this.mQuality = v45;
        this.mForceQuality = w45;
    }
    getVid() {
        return this.mVid;
    }
    setVid(u45) {
        this.mVid = u45;
    }
    getSecurityToken() {
        return this.mSecurityToken;
    }
    setSecurityToken(t45) {
        this.mSecurityToken = t45;
    }
    getAccessKeyId() {
        return this.mAccessKeyId;
    }
    setAccessKeyId(s45) {
        this.mAccessKeyId = s45;
    }
    getAccessKeySecret() {
        return this.mAccessKeySecret;
    }
    setAccessKeySecret(r45) {
        this.mAccessKeySecret = r45;
    }
    getRegion() {
        return this.mRegion;
    }
    setRegion(q45) {
        this.mRegion = q45;
    }
}
